function spec_2rr = bruker2rrread (filename, si, si2, nc_proc, bytordp);
%spec_2rr = zeros (1,si*si2);
spec_raw = zeros (1, si*si2);       % Zeros the array
spec2d = zeros (si, si2);       % Zeros the array

size(spec_raw)
% Set appropriate endian format for binary data depending on type of machine
if bytordp == 0
    id = fopen(filename, 'r', 'l');             % Opens file using little endian format to be read (PC data)
end
if bytordp == 1
    id = fopen(filename, 'r', 'b');             % Opens file using big endian format to be read (Mac and SG data) 
end

%for count=1:si2,
    
    [spec_raw,number] = fread (id, si*si2, 'int32'); % Reads binary data in file into array spec_raw
%    spec2d(count,:)=spec_raw;
%end
fclose(id);

for icount=1:si2,
    low=(icount-1)*si+1;
    up=icount*si;
    size(spec_raw);
    vec=spec_raw(low:up);
    spec2d(:,icount)=vec;
    
end


% Change scaling according to value of nc_proc
switch nc_proc
    case {0}
        spec_raw = spec_raw;
    case {1}
        spec_raw = spec_raw .* 2;
    case {2}
        spec_raw = spec_raw .* 4;
    case {3}
        spec_raw = spec_raw .* 8;
    case {4}
        spec_raw = spec_raw .* 16;
    case {5}
        spec_raw = spec_raw .* 32;
    case {6}
        spec_raw = spec_raw .* 64
    case {-1}
        spec_raw = spec_raw ./ 2;
    case {-2}
        spec_raw = spec_raw ./ 4;
    case {-3}
        spec_raw = spec_raw ./ 8;
    case {-4}
        spec_raw = spec_raw ./ 16;
    case {-5}
        spec_raw = spec_raw ./ 32;
    case {-6}
        spec_raw = spec_raw ./ 64;
end
spec_2rr=spec2d';